<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_5a318eaa74da0c" . "c2a06bdb95289fe" . "81b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2Ug" . "cHJvamVjdA=="), "_ec438e089" . "73b3716c60" . "e393f66ef5" . "e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSUMgcHJvamVjd" . "A=="), "projec" . "t_id" => base64_decode("cHJvamVjdF9p" . "ZA=="), "_565d7be99acb0b7627e48da0" . "68eebbd6" => base64_decode("cmVxdWlyZWQ" . "="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["project_" . "id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5a318eaa74da0cc2a06bdb95289f" . "e81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["project" . "_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_ec438e08973b3716c60e39" . "3f66ef5e7b"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_565d7be99acb0b7627e48da068e" . "ebbd6"]);
        $this->_formBuilt = true;
    }
}